List models
curl --request GET \
--url https://{controlPlaneURL}/api/ml/v1/models \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/ml/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/ml/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"ml_repo_id": "<string>",
"name": "<string>",
"fqn": "<string>",
"created_by_subject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"type": "model",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"latest_version": {
"id": "<string>",
"fqn": "<string>",
"created_by_subject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"manifest": {
"name": "<string>",
"metadata": {},
"ml_repo": "<string>",
"source": {
"type": "truefoundry",
"uri": "<string>"
},
"version": 2,
"type": "model-version",
"description": "<string>",
"version_alias": "<string>",
"framework": {
"type": "transformers",
"library_name": "transformers",
"pipeline_tag": "<string>",
"base_model": "<string>"
},
"environment": {
"python_version": "<string>",
"pip_packages": [
"<string>"
]
},
"step": 0,
"run_id": "<string>"
},
"ml_repo_id": "<string>",
"model_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"version_alias": "<string>",
"usage_code_snippet": "<string>",
"metrics": [
{
"key": "<string>",
"value": 123,
"timestamp": 123,
"step": 0
}
],
"deployable": false
},
"run_steps": [
123
]
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Models
List models
List models with optional filtering by FQN, ML Repo, name, or run ID.
GET
/
api
/
ml
/
v1
/
models
List models
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Fully qualified name to filter models by (format: 'model:{tenant_name}/{ml_repo_name}/{model_name}')
ID of the ML Repo to filter models by
Name of the model to filter by
Number of models to skip for pagination
Maximum number of models to return
ID of the run to filter models by
Whether to include models that have no versions
Was this page helpful?
⌘I